Bug 582 - libre-soc.org not accessible over ipv6
Summary: libre-soc.org not accessible over ipv6
Status: RESOLVED FIXED
Alias: None
Product: Libre-SOC Website
Classification: Unclassified
Component: website (show other bugs)
Version: unspecified
Hardware: PC Linux
: Highest critical
Assignee: Alain D D Williams
URL:
Depends on:
Blocks:
 
Reported: 2021-01-26 00:14 GMT by Jacob Lifshay
Modified: 2021-05-14 03:24 BST (History)
4 users (show)

See Also:
NLnet milestone: ---
total budget (EUR) for completion of task and all subtasks: 0
budget (EUR) for this task, excluding subtasks' budget: 0
parent task for budget allocation:
child tasks for budget allocation:
The table of payments (in EUR) for this task; TOML format:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jacob Lifshay 2021-01-26 00:14:26 GMT
This causes git and ssh to try to connect via ipv6, time out after a few min, then succeed over ipv4. I tried via two completely independent internet connections, so it's highly likely to not be on my end.

http[s] is mostly fine since most browsers will try to connect simultaneously over ipv6 and ipv4 and just use the first one to connect.
Comment 1 Jacob Lifshay 2021-01-29 08:46:05 GMT
a temporary fix while troubleshooting could be to remove the ipv6 address from libre-soc.org's dns
Comment 2 Jacob Lifshay 2021-01-29 08:47:48 GMT
the ipv6 address being reassigned when the server was rebooted might be a cause
Comment 3 Alain D D Williams 2021-01-29 12:16:56 GMT
The address is: 2a00:1098:82:f::1
This is set up in DNS and the interface has this address.

Locally the address can be pinged.
Remotely they get lost
traceroute shows echos somewhere in Mythic Beasts, makes sense since whois says that that is who owns the address.

I'll dig more and prob talk to MB
Comment 4 Luke Kenneth Casson Leighton 2021-01-29 12:25:03 GMT
alain what's this 6to4 doing?

6to4: flags=193<UP,RUNNING,NOARP>  mtu 1480
        inet6 ::46.235.227.77  prefixlen 96  scopeid 0x80<compat,global>
        inet6 2002:2eeb:e34d::1  prefixlen 16  scopeid 0x0<global>
        sit  txqueuelen 1  (IPv6-in-IPv4)
        RX packets 792  bytes 64609 (63.0 KiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 211225  bytes 19684697 (18.7 MiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

ens3: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 46.235.227.77  netmask 255.255.255.128  broadcast 46.235.227.127
        inet6 2a00:1098:82:f::1  prefixlen 64  scopeid 0x0<global>
        inet6 fe80::5054:ff:fe12:7997  prefixlen 64  scopeid 0x20<link>
        ether 52:54:00:12:79:97  txqueuelen 1000  (Ethernet)
        RX packets 102166455  bytes 9177043110 (8.5 GiB)
        RX errors 0  dropped 0  overruns 0  frame 0                                     TX packets 6778508  bytes 9243984362 (8.6 GiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0
Comment 5 Alain D D Williams 2021-01-29 12:40:26 GMT
No idea why we have a 6to4 interface. Why do we need it.

Before I play at turning 6to4 off - how do I access the console directly ?
I do not want to fiddle and make the machine completely unreachable!
Comment 6 Alain D D Williams 2021-01-29 12:54:20 GMT
Mythic Beasts provide VNC access to the machine's console.
For that I need access to the "virtual server's page on the control panel", where do I find that and what authentication do I need ?
Comment 7 Luke Kenneth Casson Leighton 2021-01-29 13:11:47 GMT
(In reply to Alain D D Williams from comment #6)
> Mythic Beasts provide VNC access to the machine's console.
> For that I need access to the "virtual server's page on the control panel",
> where do I find that and what authentication do I need ?

i will email it to you: bear in mind i could not get it to work.
Comment 8 Jacob Lifshay 2021-05-14 03:24:16 BST
This appears to be resolved, no issues connecting to libre-soc.org over IPv6 for me.